;********************************************************************
;                         Tomasz Jaboski                          *
;                 Mikrokontrolery PIC16F8x w praktyce               *
;                      Wydawnictwo BTC, www.btc.pl                  *
;********************************************************************

;********************************************************************
;DEFINICJA REJESTROW SPECJALNYCH
;----- SFR ----------------------------------------
;********************************************************************
indf     		equ 0x00;
tmr0    		equ 0x01;
pcl      		equ 0x02;
status  		equ 0x03;
fsr      		equ 0x04;
porta    		equ 0x05;
portb    		equ 0x06;
eedata   		equ 0x08;
eeadr    		equ 0x09;
pclath   		equ 0x0A;
intcon   		equ 0x0B;

option_reg   		equ 0x81;
trisa    		equ 0x85;
trisb    		equ 0x86;
eecon1 			equ 0x88;
eecon2 			equ 0x89;


;-----bity STATUS -------------------------------------------------------
#define C			status,0    
#define DC              	status,1
#define Z               	status,2
#define PD_             	status,3
#define TO_             	status,4
#define RP0             	status,5
#define RP1             	status,6
#define IRP             	status,7

;-----bity PORTA --------------------------------------------------------
#define T0CKI  		porta,4

;-----bity PORTB --------------------------------------------------------
#define INT    		portb,0

;-----bity INTCON -------------------------------------------------------
#define RBIF            	intcon,0
#define INTF            	intcon,1
#define T0IF            	intcon,2
#define RBIE            	intcon,3
#define INTE            	intcon,4
#define T0IE            	intcon,5
#define EEIE   			intcon,6
#define GIE             	intcon,7

;-----bity OPTION -------------------------------------------------------
#define PS0             	option_reg,0
#define PS1             	option_reg,1
#define PS2             	option_reg,2
#define PSA             	option_reg,3
#define T0SE            	option_reg,4
#define T0CS            	option_reg,5
#define INTEDG        		option_reg,6
#define RBPU         		option_reg,7

;-----bity EECON1 -------------------------------------------------------
#define RD     		eecon1,0
#define WR     		eecon1,1
#define WREN   		eecon1,2
#define WRERR  		eecon1,3
#define EEIF   		eecon1,4




  

